<html><body><div style="color:#000; background-color:#fff; font-family:arial, helvetica, sans-serif;font-size:12pt"><div><span>All,</span></div><div><span><div style="font-family: 'times new roman', 'new york', times, serif; "><span style="font-family: arial, helvetica, sans-serif; ">The plugins work fine. I can download and install all the plugins in need. The problem is when I update.</span></div><div style="font-family: 'times new roman', 'new york', times, serif; "><span style="font-family: arial, helvetica, sans-serif; "><br></span></div><div style="font-family: 'times new roman', 'new york', times, serif; "><span style="font-family: courier, monaco, monospace, sans-serif; ">Help -> Check for Updates</span></div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 12pt; "><span style="font-family: arial, helvetica, sans-serif; "><br></span></div><div style="font-family: 'times new roman', 'new york', times, serif;
 font-size: 12pt; "><span style="font-family: arial, helvetica, sans-serif; ">Dialog box displays with the title "Available Updates". The only option is "Eclipse SDK" version 3.6.2.M20110210-12 with a location ID of org.eclipse.sdk.ide. Click "Next>" and it brings up the confirmation to update "Eclipse Project SDK" and "Equinox p2 Provisioning".</span></div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 12pt; "><span style="font-family: arial, helvetica, sans-serif; ">Once you accept the terms it (of course) downloads and installs the updates. I watched the /usr/pbi/eclipse-amd64/lib/eclipse and about 90% into the install process the eclipse binary is removed. Of course it fails to restart. Error message (launched from .sbin):</span></div><div style="font-family: 'times new roman', 'new york', times, serif; "><span><div><span style="font-family: arial, helvetica, sans-serif; ">Error: ECLIPSE_HOME is not defined
 correctly: /usr/pbi/eclipse-amd64/lib/eclipse</span></div><div><span style="font-family: arial, helvetica, sans-serif; ">       Unable to find eclipse launcher binary</span></div><div style="font-family: arial, helvetica, sans-serif; font-size: 12pt; "><br></div><div style="font-family: arial, helvetica, sans-serif; font-size: 12pt; ">This occurs if I install as user or as root. </div><div style="font-family: arial, helvetica, sans-serif; font-size: 12pt; ">Two significant changes:</div><div style="font-family: arial, helvetica, sans-serif; font-size: 12pt; ">1. the eclipse binary is removed from /usr/pbi/eclipse-amd64/lib/eclipse</div><div style="font-family: arial, helvetica, sans-serif; font-size: 12pt; ">2. The eclipse-amd64/lib/eclipse/configuration/org.eclipse.equinox.simpleconfigurator directory is removed too</div></span></div></span></div><div> </div><div><font size="3"><span style="font-family: courier,
 monaco, monospace, sans-serif; ">r0n ge0rgia</span><br>John 13:23</font></div></div></body></html>